Bug 1048500 - [abrt] pulseaudio: pa_thread_mq_done(): pulseaudio killed by SIGSEGV
Summary: [abrt] pulseaudio: pa_thread_mq_done(): pulseaudio killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4f4bb17e0c9591fe4f81eeacba0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-04 17:51 UTC by Steven Stern
Modified: 2015-06-29 14:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:10:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.07 KB, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: core_backtrace (12.54 KB, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: dso_list (7.94 KB, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: environ (1.53 KB, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: maps (38.86 KB, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: open_fds (2.13 KB, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details
File: var_log_messages (3.64 KB, text/plain)
2014-01-04 17:51 UTC, Steven Stern
no flags Details

Description Steven Stern 2014-01-04 17:51:08 UTC
Description of problem:
tried to connect to bluetooth speaker

Version-Release number of selected component:
pulseaudio-4.0-9.gitf81e3.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: pa_thread_mq_done
executable:     /usr/bin/pulseaudio
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pa_thread_mq_done at pulsecore/thread-mq.c:154
 #1 stop_thread at modules/bluetooth/module-bluez5-device.c:1304
 #2 set_profile_cb at modules/bluetooth/module-bluez5-device.c:1574
 #3 pa_card_set_profile at pulsecore/card.c:275
 #4 transport_state_changed_cb at modules/bluetooth/module-bluez5-device.c:1760
 #5 pa_hook_fire at pulsecore/hook-list.c:106
 #6 transport_state_changed at modules/bluetooth/bluez5-util.c:186
 #7 endpoint_clear_configuration at modules/bluetooth/bluez5-util.c:1410
 #8 endpoint_handler at modules/bluetooth/bluez5-util.c:1459
 #9 _dbus_object_tree_dispatch_and_unlock at dbus-object-tree.c:862

Comment 1 Steven Stern 2014-01-04 17:51:11 UTC
Created attachment 845439 [details]
File: backtrace

Comment 2 Steven Stern 2014-01-04 17:51:13 UTC
Created attachment 845440 [details]
File: cgroup

Comment 3 Steven Stern 2014-01-04 17:51:14 UTC
Created attachment 845441 [details]
File: core_backtrace

Comment 4 Steven Stern 2014-01-04 17:51:16 UTC
Created attachment 845442 [details]
File: dso_list

Comment 5 Steven Stern 2014-01-04 17:51:17 UTC
Created attachment 845443 [details]
File: environ

Comment 6 Steven Stern 2014-01-04 17:51:19 UTC
Created attachment 845444 [details]
File: exploitable

Comment 7 Steven Stern 2014-01-04 17:51:20 UTC
Created attachment 845445 [details]
File: limits

Comment 8 Steven Stern 2014-01-04 17:51:22 UTC
Created attachment 845446 [details]
File: maps

Comment 9 Steven Stern 2014-01-04 17:51:23 UTC
Created attachment 845447 [details]
File: open_fds

Comment 10 Steven Stern 2014-01-04 17:51:24 UTC
Created attachment 845448 [details]
File: proc_pid_status

Comment 11 Steven Stern 2014-01-04 17:51:26 UTC
Created attachment 845449 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:19:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:10:12 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.